Subject: Re: [PATCH 1/2] mpc85xx/lbc: modify suspend/resume entry sequence

From: Scott Wood <[email-masked]>
Date: Tue, 3 Nov 2015 01:36:37 -0600

On Tue, 2015-11-03 at 00:33 -0600, Dogra Raghav-B46184 wrote:
> Hi Scott,
> 
> I just checked on patchwork and noticed that the original patch has been 
> modified as somehow my original comment has become part of the patch:
> +     if (!lbc)
> +             goto out;
>  
>       ctrl->saved_regs = kmalloc(sizeof(struct fsl_lbc_regs), GFP_KERNEL);
>       if (!ctrl->saved_regs)
>               return -ENOMEM;
> [Dogra Raghav-B46184] This is the existing upstream code. Are you 
> suggesting to modify the upstream code to take care of individual registers?
>  
>       _memcpy_fromio(ctrl->saved_regs, lbc, sizeof(struct fsl_lbc_regs));
> +
> The patchwork is also showing two links for the patch. Please apply the 
> original patch present at:
> https://patchwork.ozlabs.org/patch/538605/
> 
> I will look into how this happened to avoid such incidents in future.

Your reply looked like a new patch, so Patchwork treated it as such.  If you 
fix your mailer to use proper quote markers (the > at the beginning of each 
line) then this won't happen.

-Scott